<?php
/**
* Sidebar Metabox.
*
* @package Videocast
*/
 
add_action( 'add_meta_boxes', 'videocast_metabox' );

if( ! function_exists( 'videocast_metabox' ) ):


    function  videocast_metabox() {
        
        add_meta_box(
            'videocast-custom-metabox',
            esc_html__( 'Layout Settings', 'videocast' ),
            'videocast_post_metafield_callback',
            'post', 
            'normal', 
            'high'
        );
        add_meta_box(
            'videocast-custom-metabox',
            esc_html__( 'Layout Settings', 'videocast' ),
            'videocast_post_metafield_callback',
            'page',
            'normal', 
            'high'
        ); 
    }

endif;
/**
 * Callback function for post option.
*/
if( ! function_exists( 'videocast_post_metafield_callback' ) ):
    
	function videocast_post_metafield_callback() {
		global $post, $videocast_post_sidebar_fields;
        $post_type = get_post_type($post->ID);
		wp_nonce_field( basename( __FILE__ ), 'videocast_post_meta_nonce' ); ?>
        
        <div class="metabox-main-block">

            <div class="metabox-navbar">
                <ul>

                    <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ): ?>
                        <li>
                            <a id="twp-tab-booster" href="javascript:void(0)">

                                <?php esc_html_e('Booster Extension Settings', 'videocast'); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                </ul>
            </div>

            <div class="twp-tab-content">

                <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ):

                    
                    $videocast_ed_post_views = esc_html( get_post_meta( $post->ID, 'videocast_ed_post_views', true ) );
                    $videocast_ed_post_like_dislike = esc_html( get_post_meta( $post->ID, 'videocast_ed_post_like_dislike', true ) );
                    $videocast_ed_post_social_share = esc_html( get_post_meta( $post->ID, 'videocast_ed_post_social_share', true ) );
                    $videocast_ed_post_reaction = esc_html( get_post_meta( $post->ID, 'videocast_ed_post_reaction', true ) );
                    $videocast_ed_post_rating = esc_html( get_post_meta( $post->ID, 'videocast_ed_post_rating', true ) );
                    ?>

                    <div id="twp-tab-booster-content" class="metabox-content-wrap">

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Booster Extension Plugin Content','videocast'); ?></h3>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="videocast-ed-post-views" name="videocast_ed_post_views" value="1" <?php if( $videocast_ed_post_views ){ echo "checked='checked'";} ?>/>
                                <label for="videocast-ed-post-views"><?php esc_html_e( 'Disable Post Views','videocast' ); ?></label>

                            </div>


                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="videocast-ed-post-like-dislike" name="videocast_ed_post_like_dislike" value="1" <?php if( $videocast_ed_post_like_dislike ){ echo "checked='checked'";} ?>/>
                                <label for="videocast-ed-post-like-dislike"><?php esc_html_e( 'Disable Post Like Dislike','videocast' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="videocast-ed-post-social-share" name="videocast_ed_post_social_share" value="1" <?php if( $videocast_ed_post_social_share ){ echo "checked='checked'";} ?>/>
                                <label for="videocast-ed-post-social-share"><?php esc_html_e( 'Disable Post Social Share','videocast' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="videocast-ed-post-reaction" name="videocast_ed_post_reaction" value="1" <?php if( $videocast_ed_post_reaction ){ echo "checked='checked'";} ?>/>
                                <label for="videocast-ed-post-reaction"><?php esc_html_e( 'Disable Post Reaction','videocast' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="videocast-ed-post-rating" name="videocast_ed_post_rating" value="1" <?php if( $videocast_ed_post_rating ){ echo "checked='checked'";} ?>/>
                                <label for="videocast-ed-post-rating"><?php esc_html_e( 'Disable Post Rating','videocast' ); ?></label>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>
                
            </div>

        </div>  
            
    <?php }
endif;

// Save metabox value.
add_action( 'save_post', 'videocast_save_post_meta' );

if( ! function_exists( 'videocast_save_post_meta' ) ):

    function videocast_save_post_meta( $post_id ) {

        global $post;

        if( !isset( $_POST[ 'videocast_post_meta_nonce' ] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['videocast_post_meta_nonce'] ) ), basename( __FILE__ ) ) ){

            return;

        }

        if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){

            return;

        }
            
        if( isset(  $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {  

            if ( !current_user_can( 'edit_page', $post_id ) ){  

                return $post_id;

            }

        }elseif( !current_user_can( 'edit_post', $post_id ) ) {

            return $post_id;

        }

        $videocast_ed_post_views_old = absint( get_post_meta( $post_id, 'videocast_ed_post_views', true ) );

        $videocast_ed_post_views_new = '';
        if( isset( $_POST['videocast_ed_post_views'] ) ){

            $videocast_ed_post_views_new = absint( wp_unslash( $_POST['videocast_ed_post_views'] ) );

        }

        if( $videocast_ed_post_views_new && $videocast_ed_post_views_new != $videocast_ed_post_views_old ){

            update_post_meta ( $post_id, 'videocast_ed_post_views', $videocast_ed_post_views_new );

        }elseif( '' == $videocast_ed_post_views_new && $videocast_ed_post_views_old ) {

            delete_post_meta( $post_id,'videocast_ed_post_views', $videocast_ed_post_views_old );

        }

        $videocast_ed_post_like_dislike_old = absint( get_post_meta( $post_id, 'videocast_ed_post_like_dislike', true ) );

        $videocast_ed_post_like_dislike_new = '';
        if( isset( $_POST['videocast_ed_post_like_dislike'] ) ){

            $videocast_ed_post_like_dislike_new = absint( wp_unslash( $_POST['videocast_ed_post_like_dislike'] ) );

        }

        if( $videocast_ed_post_like_dislike_new && $videocast_ed_post_like_dislike_new != $videocast_ed_post_like_dislike_old ){

            update_post_meta ( $post_id, 'videocast_ed_post_like_dislike', $videocast_ed_post_like_dislike_new );

        }elseif( '' == $videocast_ed_post_like_dislike_new && $videocast_ed_post_like_dislike_old ) {

            delete_post_meta( $post_id,'videocast_ed_post_like_dislike', $videocast_ed_post_like_dislike_old );

        }

        $videocast_ed_post_social_share_old = absint( get_post_meta( $post_id, 'videocast_ed_post_social_share', true ) );

        $videocast_ed_post_social_share_new = '';
        if( isset( $_POST['videocast_ed_post_social_share'] ) ){

            $videocast_ed_post_social_share_new = absint( wp_unslash( $_POST['videocast_ed_post_social_share'] ) );

        }

        if( $videocast_ed_post_social_share_new && $videocast_ed_post_social_share_new != $videocast_ed_post_social_share_old ){

            update_post_meta ( $post_id, 'videocast_ed_post_social_share', $videocast_ed_post_social_share_new );

        }elseif( '' == $videocast_ed_post_social_share_new && $videocast_ed_post_social_share_old ) {

            delete_post_meta( $post_id,'videocast_ed_post_social_share', $videocast_ed_post_social_share_old );

        }

        $videocast_ed_post_reaction_old = absint( get_post_meta( $post_id, 'videocast_ed_post_reaction', true ) );

        $videocast_ed_post_reaction_new = '';
        if( isset( $_POST['videocast_ed_post_reaction'] ) ){

            $videocast_ed_post_reaction_new = absint( wp_unslash( $_POST['videocast_ed_post_reaction'] ) );

        }

        if( $videocast_ed_post_reaction_new && $videocast_ed_post_reaction_new != $videocast_ed_post_reaction_old ){

            update_post_meta ( $post_id, 'videocast_ed_post_reaction', $videocast_ed_post_reaction_new );

        }elseif( '' == $videocast_ed_post_reaction_new && $videocast_ed_post_reaction_old ) {

            delete_post_meta( $post_id,'videocast_ed_post_reaction', $videocast_ed_post_reaction_old );

        }

        $videocast_ed_post_rating_old = absint( get_post_meta( $post_id, 'videocast_ed_post_rating', true ) );

        $videocast_ed_post_rating_new = '';
        if( isset( $_POST['videocast_ed_post_rating'] ) ){

            $videocast_ed_post_rating_new = absint( wp_unslash( $_POST['videocast_ed_post_rating'] ) );

        }

        if ( $videocast_ed_post_rating_new && $videocast_ed_post_rating_new != $videocast_ed_post_rating_old ){

            update_post_meta ( $post_id, 'videocast_ed_post_rating', $videocast_ed_post_rating_new );

        }elseif( '' == $videocast_ed_post_rating_new && $videocast_ed_post_rating_old ) {

            delete_post_meta( $post_id,'videocast_ed_post_rating', $videocast_ed_post_rating_old );

        }


    }

endif;   