<?php
/**
 * VidoeCast
 *
 * @package Videocast
 */
if (!function_exists('videocast_slider_banner_block')):
    function videocast_slider_banner_block(){
        videocast_disable_post_views();
        videocast_disable_post_read_time();
        videocast_disable_post_like_dislike();
        $section_category = '';
        $videocast_banner_block_query = new WP_Query( array('post_type' => 'post', 'posts_per_page' => '6','post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $section_category ) ) );
        if( $videocast_banner_block_query ->have_posts() ): ?>
        <section class="theme-main-slider">
            <?php if( $videocast_banner_block_query ->have_posts() ){
                while( $videocast_banner_block_query ->have_posts() ){
                    $videocast_banner_block_query ->the_post();
                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                    $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : '';
                    ?>
                        <?php
                        $content = apply_filters( 'the_content', get_the_content() );
                        $video = false;

                        // Only get video from the content if a playlist isn't present.
                        if ( false === strpos( $content, 'wp-playlist-script' ) ) {

                            $video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );

                        } ?>
                    <div class="item video <?php if( !has_post_thumbnail() && empty($video)){ echo "banner-no-image";} ?>">
                        <?php if ( ! empty( $video ) ) { ?>
                            <?php foreach ( $video as $video_html ) { 
                                echo videocast_iframe_escape( $video_html );
                                break; 
                            }
                        }else{
                                if( has_post_thumbnail() ){
                                    $featured_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'videocast-featured-image');
                                    $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>
                                <div class="data-bg data-bg-big" data-background='<?php echo esc_url( $featured_image ); ?>'>
                                </div>
                                <?php }
                        } ?>

                        <h2 class="entry-title entry-title-small">
                            <a href="<?php the_permalink(); ?>"  class='line-clamp-2'><?php the_title(); ?></a>
                        </h2>
                    </div>

                <?php }
            } ?>
        </section>
        <?php
        wp_reset_postdata();
        endif;

    }
endif;