<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
* @package Videocast
 * @since 1.0.0
 */

$videocast_ed_post_like_dislike = esc_html( get_post_meta( get_the_ID(), 'videocast_ed_post_like_dislike', true ) );
$videocast_ed_post_social_share = esc_html( get_post_meta( get_the_ID(), 'videocast_ed_post_social_share', true ) );
$videocast_ed_post_reaction = esc_html( get_post_meta( get_the_ID(), 'videocast_ed_post_reaction', true ) );

$videocast_ed_post_views = esc_html( get_post_meta( get_the_ID(), 'videocast_ed_post_views', true ) );
videocast_disable_post_views();
videocast_disable_post_read_time();
videocast_disable_post_like_dislike();
videocast_disable_post_author_box();
$videocast_default = videocast_get_default_theme_options();
$ed_single_post_author = get_theme_mod( 'ed_single_post_author',$videocast_default['ed_single_post_author'] );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <div class="wrapper-inner">

        <div class="column column-12">
            <!-- top video bar start -->
            <?php
				$content = apply_filters( 'the_content', get_the_content() );
				$video = false;

				// Only get video from the content if a playlist isn't present.
				if ( false === strpos( $content, 'wp-playlist-script' ) ) {

					$video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );

				}

				if ( ! empty( $video ) ) { ?>

            <div class="post-thumbnail post-thumbnail-media">

                <div class="twp-content-video">

                    <?php

							$video_autoplay = 'autoplay-enable';
							if( $video_autoplay == 'autoplay-enable' ){
								$autoplay_class = 'pause';
								$play_pause_text = esc_html__('Pause','videocast');
							}else{
								$autoplay_class = 'play';
								$play_pause_text = esc_html__('Play','videocast');
							}
							
							foreach ( $video as $video_html ) { ?>

                    <div class="entry-video ">

                        <div class="theme-video-panel" data-autoplay="<?php echo esc_attr( $video_autoplay ); ?>"
                            data-id="twp-video-id-<?php echo absint( get_the_ID() ); ?>">
                            <?php echo videocast_iframe_escape( $video_html ); ?>
                        </div>

                    </div>

                    <?php
								break;

							} ?>

                </div>

            </div>

            <?php
				}else{
					if( has_post_thumbnail() ){
						$featured_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
						$featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>
            <div class="data-bg data-bg-big single-featured-image"
                data-background="<?php echo esc_url( $featured_image ); ?>"></div>
            <?php } else{
                echo "<div class='no-overlay-single'></div>";
            }
			} ?>
            <!-- top video bar ends -->
        </div>


        <div class="column column-2 hidden-md-screen"></div>

        <div class="column column-7 column-md-8 column-sm-12">

            <div class="post-content-wrap">

                <div class="post-content">

                    <div class="entry-content">

                        <header class='theme-article-header'>
                            <h2 class='entry-title entry-title-big' ?>

                                <?php the_title(); ?>

                            </h2>
                            <div class = 'theme-interaction-info user-interaction-container'>
                                <div class='theme-interaction-info theme-meta-container'>
                                    <?php videocast_posted_by(); ?>
                                    <?php videocast_posted_on(); ?>
                                    <?php if (!$videocast_ed_post_views && class_exists('Booster_Extension_Class')) { ?>
                                        <div class="post-content-views">
                                            <?php echo do_shortcode('[booster-extension-visit-count]'); ?>
                                        </div>
                                    <?php } ?>
                                </div>

                                <div class='theme-interaction-info theme-user-interaction'>
                                    <?php if (!$videocast_ed_post_like_dislike && class_exists('Booster_Extension_Class')) { ?>
                                        <div class="post-content-like">
                                            <?php echo do_shortcode('[booster-extension-like-dislike]'); ?>
                                        </div>
                                    <?php } ?>

                                    <?php if (!$videocast_ed_post_social_share && class_exists('Booster_Extension_Class')) { ?>
                                        <div class="post-content-share">
                                            <?php echo do_shortcode('[booster-extension-ss layout="layout-2" status="enable"]'); ?>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>


                            <?php if (class_exists('Booster_Extension_Class') && $ed_single_post_author) {
                                do_action('booster_extension_author_box');
                            } ?>

                        </header>

                        <?php

								the_content( sprintf(
									/* translators: %s: Name of current post. */
									wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'videocast' ), array( 'span' => array( 'class' => array() ) ) ),
									the_title( '<span class="screen-reader-text">"', '"</span>', false )
								) );

								if( !class_exists( 'Booster_Extension_Class' ) ){

									wp_link_pages( array(
										'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'videocast' ),
										'after'  => '</div>',
									) );

								} ?>

                    </div>

                    <?php
							if ( is_singular() && 'post' === get_post_type() ) { ?>

                    <div class="entry-footer">
                        <div class="entry-meta">
                            <?php videocast_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
                        </div>
                    </div>

                    <?php } ?>

                </div>

            </div>

            <?php /**
					 *  Output comments wrapper if it's a post, or if comments are open,
					 * or if there's a comment number – and check for password.
					**/

					if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

            <div class="comments-wrapper">
                <?php comments_template(); ?>
            </div><!-- .comments-wrapper -->

            <?php
					} ?>
        </div>

        <div class="column column-3 column-md-4 column-sm-12"><?php videocast_single_related_block(); ?></div>

    </div>

</article>
<?php get_footer( 'single' ); ?>